/**
 * @since 1.0.0
 */
import { type AddLayerVersionPermissionCommandInput, type AddLayerVersionPermissionCommandOutput, type AddPermissionCommandInput, type AddPermissionCommandOutput, type CreateAliasCommandInput, type CreateAliasCommandOutput, type CreateCodeSigningConfigCommandInput, type CreateCodeSigningConfigCommandOutput, type CreateEventSourceMappingCommandInput, type CreateEventSourceMappingCommandOutput, type CreateFunctionCommandInput, type CreateFunctionCommandOutput, type CreateFunctionUrlConfigCommandInput, type CreateFunctionUrlConfigCommandOutput, type DeleteAliasCommandInput, type DeleteAliasCommandOutput, type DeleteCodeSigningConfigCommandInput, type DeleteCodeSigningConfigCommandOutput, type DeleteEventSourceMappingCommandInput, type DeleteEventSourceMappingCommandOutput, type DeleteFunctionCommandInput, type DeleteFunctionCommandOutput, type DeleteFunctionCodeSigningConfigCommandInput, type DeleteFunctionCodeSigningConfigCommandOutput, type DeleteFunctionConcurrencyCommandInput, type DeleteFunctionConcurrencyCommandOutput, type DeleteFunctionEventInvokeConfigCommandInput, type DeleteFunctionEventInvokeConfigCommandOutput, type DeleteFunctionUrlConfigCommandInput, type DeleteFunctionUrlConfigCommandOutput, type DeleteLayerVersionCommandInput, type DeleteLayerVersionCommandOutput, type DeleteProvisionedConcurrencyConfigCommandInput, type DeleteProvisionedConcurrencyConfigCommandOutput, type GetAccountSettingsCommandInput, type GetAccountSettingsCommandOutput, type GetAliasCommandInput, type GetAliasCommandOutput, type GetCodeSigningConfigCommandInput, type GetCodeSigningConfigCommandOutput, type GetEventSourceMappingCommandInput, type GetEventSourceMappingCommandOutput, type GetFunctionCommandInput, type GetFunctionCommandOutput, type GetFunctionCodeSigningConfigCommandInput, type GetFunctionCodeSigningConfigCommandOutput, type GetFunctionConcurrencyCommandInput, type GetFunctionConcurrencyCommandOutput, type GetFunctionConfigurationCommandInput, type GetFunctionConfigurationCommandOutput, type GetFunctionEventInvokeConfigCommandInput, type GetFunctionEventInvokeConfigCommandOutput, type GetFunctionUrlConfigCommandInput, type GetFunctionUrlConfigCommandOutput, type GetLayerVersionCommandInput, type GetLayerVersionCommandOutput, type GetLayerVersionByArnCommandInput, type GetLayerVersionByArnCommandOutput, type GetLayerVersionPolicyCommandInput, type GetLayerVersionPolicyCommandOutput, type GetPolicyCommandInput, type GetPolicyCommandOutput, type GetProvisionedConcurrencyConfigCommandInput, type GetProvisionedConcurrencyConfigCommandOutput, type GetRuntimeManagementConfigCommandInput, type GetRuntimeManagementConfigCommandOutput, type InvokeCommandInput, type InvokeCommandOutput, type InvokeAsyncCommandInput, type InvokeAsyncCommandOutput, type InvokeWithResponseStreamCommandInput, type InvokeWithResponseStreamCommandOutput, type ListAliasesCommandInput, type ListAliasesCommandOutput, type ListCodeSigningConfigsCommandInput, type ListCodeSigningConfigsCommandOutput, type ListEventSourceMappingsCommandInput, type ListEventSourceMappingsCommandOutput, type ListFunctionEventInvokeConfigsCommandInput, type ListFunctionEventInvokeConfigsCommandOutput, type ListFunctionsCommandInput, type ListFunctionsCommandOutput, type ListFunctionsByCodeSigningConfigCommandInput, type ListFunctionsByCodeSigningConfigCommandOutput, type ListFunctionUrlConfigsCommandInput, type ListFunctionUrlConfigsCommandOutput, type ListLayersCommandInput, type ListLayersCommandOutput, type ListLayerVersionsCommandInput, type ListLayerVersionsCommandOutput, type ListProvisionedConcurrencyConfigsCommandInput, type ListProvisionedConcurrencyConfigsCommandOutput, type ListTagsCommandInput, type ListTagsCommandOutput, type ListVersionsByFunctionCommandInput, type ListVersionsByFunctionCommandOutput, type PublishLayerVersionCommandInput, type PublishLayerVersionCommandOutput, type PublishVersionCommandInput, type PublishVersionCommandOutput, type PutFunctionCodeSigningConfigCommandInput, type PutFunctionCodeSigningConfigCommandOutput, type PutFunctionConcurrencyCommandInput, type PutFunctionConcurrencyCommandOutput, type PutFunctionEventInvokeConfigCommandInput, type PutFunctionEventInvokeConfigCommandOutput, type PutProvisionedConcurrencyConfigCommandInput, type PutProvisionedConcurrencyConfigCommandOutput, type PutRuntimeManagementConfigCommandInput, type PutRuntimeManagementConfigCommandOutput, type RemoveLayerVersionPermissionCommandInput, type RemoveLayerVersionPermissionCommandOutput, type RemovePermissionCommandInput, type RemovePermissionCommandOutput, type TagResourceCommandInput, type TagResourceCommandOutput, type UntagResourceCommandInput, type UntagResourceCommandOutput, type UpdateAliasCommandInput, type UpdateAliasCommandOutput, type UpdateCodeSigningConfigCommandInput, type UpdateCodeSigningConfigCommandOutput, type UpdateEventSourceMappingCommandInput, type UpdateEventSourceMappingCommandOutput, type UpdateFunctionCodeCommandInput, type UpdateFunctionCodeCommandOutput, type UpdateFunctionConfigurationCommandInput, type UpdateFunctionConfigurationCommandOutput, type UpdateFunctionEventInvokeConfigCommandInput, type UpdateFunctionEventInvokeConfigCommandOutput, type UpdateFunctionUrlConfigCommandInput, type UpdateFunctionUrlConfigCommandOutput } from "@aws-sdk/client-lambda";
import { type HttpHandlerOptions as __HttpHandlerOptions } from "@aws-sdk/types";
import { Context, Effect, Layer } from "effect";
import { CodeSigningConfigNotFoundError, CodeStorageExceededError, CodeVerificationFailedError, EC2AccessDeniedError, EC2ThrottledError, EC2UnexpectedError, EFSIOError, EFSMountConnectivityError, EFSMountFailureError, EFSMountTimeoutError, ENILimitReachedError, InvalidCodeSignatureError, InvalidParameterValueError, InvalidRequestContentError, InvalidRuntimeError, InvalidSecurityGroupIDError, InvalidSubnetIDError, InvalidZipFileError, KMSAccessDeniedError, KMSDisabledError, KMSInvalidStateError, KMSNotFoundError, PolicyLengthExceededError, PreconditionFailedError, ProvisionedConcurrencyConfigNotFoundError, RecursiveInvocationError, RequestTooLargeError, ResourceConflictError, ResourceInUseError, ResourceNotFoundError, ResourceNotReadyError, ServiceError, SnapStartError, SnapStartNotReadyError, SnapStartTimeoutError, SubnetIPAddressLimitReachedError, TooManyRequestsError, UnsupportedMediaTypeError, SdkError } from "./Errors";
import { LambdaClientInstance } from "./LambdaClientInstance";
/**
 * @since 1.0.0
 * @category models
 */
export interface LambdaService {
    readonly _: unique symbol;
    /**
     * @see {@link AddLayerVersionPermissionCommand}
     */
    addLayerVersionPermission(args: AddLayerVersionPermissionCommandInput, options?: __HttpHandlerOptions): Effect.Effect<AddLayerVersionPermissionCommandOutput, SdkError | InvalidParameterValueError | PolicyLengthExceededError | PreconditionFailedError | ResourceConflictError | ResourceNotFoundError | ServiceError | TooManyRequestsError>;
    /**
     * @see {@link AddPermissionCommand}
     */
    addPermission(args: AddPermissionCommandInput, options?: __HttpHandlerOptions): Effect.Effect<AddPermissionCommandOutput, SdkError | InvalidParameterValueError | PolicyLengthExceededError | PreconditionFailedError | ResourceConflictError | ResourceNotFoundError | ServiceError | TooManyRequestsError>;
    /**
     * @see {@link CreateAliasCommand}
     */
    createAlias(args: CreateAliasCommandInput, options?: __HttpHandlerOptions): Effect.Effect<CreateAliasCommandOutput, SdkError | InvalidParameterValueError | ResourceConflictError | ResourceNotFoundError | ServiceError | TooManyRequestsError>;
    /**
     * @see {@link CreateCodeSigningConfigCommand}
     */
    createCodeSigningConfig(args: CreateCodeSigningConfigCommandInput, options?: __HttpHandlerOptions): Effect.Effect<CreateCodeSigningConfigCommandOutput, SdkError | InvalidParameterValueError | ServiceError>;
    /**
     * @see {@link CreateEventSourceMappingCommand}
     */
    createEventSourceMapping(args: CreateEventSourceMappingCommandInput, options?: __HttpHandlerOptions): Effect.Effect<CreateEventSourceMappingCommandOutput, SdkError | InvalidParameterValueError | ResourceConflictError | ResourceNotFoundError | ServiceError | TooManyRequestsError>;
    /**
     * @see {@link CreateFunctionCommand}
     */
    createFunction(args: CreateFunctionCommandInput, options?: __HttpHandlerOptions): Effect.Effect<CreateFunctionCommandOutput, SdkError | CodeSigningConfigNotFoundError | CodeStorageExceededError | CodeVerificationFailedError | InvalidCodeSignatureError | InvalidParameterValueError | ResourceConflictError | ResourceNotFoundError | ServiceError | TooManyRequestsError>;
    /**
     * @see {@link CreateFunctionUrlConfigCommand}
     */
    createFunctionUrlConfig(args: CreateFunctionUrlConfigCommandInput, options?: __HttpHandlerOptions): Effect.Effect<CreateFunctionUrlConfigCommandOutput, SdkError | InvalidParameterValueError | ResourceConflictError | ResourceNotFoundError | ServiceError | TooManyRequestsError>;
    /**
     * @see {@link DeleteAliasCommand}
     */
    deleteAlias(args: DeleteAliasCommandInput, options?: __HttpHandlerOptions): Effect.Effect<DeleteAliasCommandOutput, SdkError | InvalidParameterValueError | ResourceConflictError | ServiceError | TooManyRequestsError>;
    /**
     * @see {@link DeleteCodeSigningConfigCommand}
     */
    deleteCodeSigningConfig(args: DeleteCodeSigningConfigCommandInput, options?: __HttpHandlerOptions): Effect.Effect<DeleteCodeSigningConfigCommandOutput, SdkError | InvalidParameterValueError | ResourceConflictError | ResourceNotFoundError | ServiceError>;
    /**
     * @see {@link DeleteEventSourceMappingCommand}
     */
    deleteEventSourceMapping(args: DeleteEventSourceMappingCommandInput, options?: __HttpHandlerOptions): Effect.Effect<DeleteEventSourceMappingCommandOutput, SdkError | InvalidParameterValueError | ResourceConflictError | ResourceInUseError | ResourceNotFoundError | ServiceError | TooManyRequestsError>;
    /**
     * @see {@link DeleteFunctionCommand}
     */
    deleteFunction(args: DeleteFunctionCommandInput, options?: __HttpHandlerOptions): Effect.Effect<DeleteFunctionCommandOutput, SdkError | InvalidParameterValueError | ResourceConflictError | ResourceNotFoundError | ServiceError | TooManyRequestsError>;
    /**
     * @see {@link DeleteFunctionCodeSigningConfigCommand}
     */
    deleteFunctionCodeSigningConfig(args: DeleteFunctionCodeSigningConfigCommandInput, options?: __HttpHandlerOptions): Effect.Effect<DeleteFunctionCodeSigningConfigCommandOutput, SdkError | CodeSigningConfigNotFoundError | InvalidParameterValueError | ResourceConflictError | ResourceNotFoundError | ServiceError | TooManyRequestsError>;
    /**
     * @see {@link DeleteFunctionConcurrencyCommand}
     */
    deleteFunctionConcurrency(args: DeleteFunctionConcurrencyCommandInput, options?: __HttpHandlerOptions): Effect.Effect<DeleteFunctionConcurrencyCommandOutput, SdkError | InvalidParameterValueError | ResourceConflictError | ResourceNotFoundError | ServiceError | TooManyRequestsError>;
    /**
     * @see {@link DeleteFunctionEventInvokeConfigCommand}
     */
    deleteFunctionEventInvokeConfig(args: DeleteFunctionEventInvokeConfigCommandInput, options?: __HttpHandlerOptions): Effect.Effect<DeleteFunctionEventInvokeConfigCommandOutput, SdkError | InvalidParameterValueError | ResourceConflictError | ResourceNotFoundError | ServiceError | TooManyRequestsError>;
    /**
     * @see {@link DeleteFunctionUrlConfigCommand}
     */
    deleteFunctionUrlConfig(args: DeleteFunctionUrlConfigCommandInput, options?: __HttpHandlerOptions): Effect.Effect<DeleteFunctionUrlConfigCommandOutput, SdkError | ResourceConflictError | ResourceNotFoundError | ServiceError | TooManyRequestsError>;
    /**
     * @see {@link DeleteLayerVersionCommand}
     */
    deleteLayerVersion(args: DeleteLayerVersionCommandInput, options?: __HttpHandlerOptions): Effect.Effect<DeleteLayerVersionCommandOutput, SdkError | ServiceError | TooManyRequestsError>;
    /**
     * @see {@link DeleteProvisionedConcurrencyConfigCommand}
     */
    deleteProvisionedConcurrencyConfig(args: DeleteProvisionedConcurrencyConfigCommandInput, options?: __HttpHandlerOptions): Effect.Effect<DeleteProvisionedConcurrencyConfigCommandOutput, SdkError | InvalidParameterValueError | ResourceConflictError | ResourceNotFoundError | ServiceError | TooManyRequestsError>;
    /**
     * @see {@link GetAccountSettingsCommand}
     */
    getAccountSettings(args: GetAccountSettingsCommandInput, options?: __HttpHandlerOptions): Effect.Effect<GetAccountSettingsCommandOutput, SdkError | ServiceError | TooManyRequestsError>;
    /**
     * @see {@link GetAliasCommand}
     */
    getAlias(args: GetAliasCommandInput, options?: __HttpHandlerOptions): Effect.Effect<GetAliasCommandOutput, SdkError | InvalidParameterValueError | ResourceNotFoundError | ServiceError | TooManyRequestsError>;
    /**
     * @see {@link GetCodeSigningConfigCommand}
     */
    getCodeSigningConfig(args: GetCodeSigningConfigCommandInput, options?: __HttpHandlerOptions): Effect.Effect<GetCodeSigningConfigCommandOutput, SdkError | InvalidParameterValueError | ResourceNotFoundError | ServiceError>;
    /**
     * @see {@link GetEventSourceMappingCommand}
     */
    getEventSourceMapping(args: GetEventSourceMappingCommandInput, options?: __HttpHandlerOptions): Effect.Effect<GetEventSourceMappingCommandOutput, SdkError | InvalidParameterValueError | ResourceNotFoundError | ServiceError | TooManyRequestsError>;
    /**
     * @see {@link GetFunctionCommand}
     */
    getFunction(args: GetFunctionCommandInput, options?: __HttpHandlerOptions): Effect.Effect<GetFunctionCommandOutput, SdkError | InvalidParameterValueError | ResourceNotFoundError | ServiceError | TooManyRequestsError>;
    /**
     * @see {@link GetFunctionCodeSigningConfigCommand}
     */
    getFunctionCodeSigningConfig(args: GetFunctionCodeSigningConfigCommandInput, options?: __HttpHandlerOptions): Effect.Effect<GetFunctionCodeSigningConfigCommandOutput, SdkError | InvalidParameterValueError | ResourceNotFoundError | ServiceError | TooManyRequestsError>;
    /**
     * @see {@link GetFunctionConcurrencyCommand}
     */
    getFunctionConcurrency(args: GetFunctionConcurrencyCommandInput, options?: __HttpHandlerOptions): Effect.Effect<GetFunctionConcurrencyCommandOutput, SdkError | InvalidParameterValueError | ResourceNotFoundError | ServiceError | TooManyRequestsError>;
    /**
     * @see {@link GetFunctionConfigurationCommand}
     */
    getFunctionConfiguration(args: GetFunctionConfigurationCommandInput, options?: __HttpHandlerOptions): Effect.Effect<GetFunctionConfigurationCommandOutput, SdkError | InvalidParameterValueError | ResourceNotFoundError | ServiceError | TooManyRequestsError>;
    /**
     * @see {@link GetFunctionEventInvokeConfigCommand}
     */
    getFunctionEventInvokeConfig(args: GetFunctionEventInvokeConfigCommandInput, options?: __HttpHandlerOptions): Effect.Effect<GetFunctionEventInvokeConfigCommandOutput, SdkError | InvalidParameterValueError | ResourceNotFoundError | ServiceError | TooManyRequestsError>;
    /**
     * @see {@link GetFunctionUrlConfigCommand}
     */
    getFunctionUrlConfig(args: GetFunctionUrlConfigCommandInput, options?: __HttpHandlerOptions): Effect.Effect<GetFunctionUrlConfigCommandOutput, SdkError | InvalidParameterValueError | ResourceNotFoundError | ServiceError | TooManyRequestsError>;
    /**
     * @see {@link GetLayerVersionCommand}
     */
    getLayerVersion(args: GetLayerVersionCommandInput, options?: __HttpHandlerOptions): Effect.Effect<GetLayerVersionCommandOutput, SdkError | InvalidParameterValueError | ResourceNotFoundError | ServiceError | TooManyRequestsError>;
    /**
     * @see {@link GetLayerVersionByArnCommand}
     */
    getLayerVersionByArn(args: GetLayerVersionByArnCommandInput, options?: __HttpHandlerOptions): Effect.Effect<GetLayerVersionByArnCommandOutput, SdkError | InvalidParameterValueError | ResourceNotFoundError | ServiceError | TooManyRequestsError>;
    /**
     * @see {@link GetLayerVersionPolicyCommand}
     */
    getLayerVersionPolicy(args: GetLayerVersionPolicyCommandInput, options?: __HttpHandlerOptions): Effect.Effect<GetLayerVersionPolicyCommandOutput, SdkError | InvalidParameterValueError | ResourceNotFoundError | ServiceError | TooManyRequestsError>;
    /**
     * @see {@link GetPolicyCommand}
     */
    getPolicy(args: GetPolicyCommandInput, options?: __HttpHandlerOptions): Effect.Effect<GetPolicyCommandOutput, SdkError | InvalidParameterValueError | ResourceNotFoundError | ServiceError | TooManyRequestsError>;
    /**
     * @see {@link GetProvisionedConcurrencyConfigCommand}
     */
    getProvisionedConcurrencyConfig(args: GetProvisionedConcurrencyConfigCommandInput, options?: __HttpHandlerOptions): Effect.Effect<GetProvisionedConcurrencyConfigCommandOutput, SdkError | InvalidParameterValueError | ProvisionedConcurrencyConfigNotFoundError | ResourceNotFoundError | ServiceError | TooManyRequestsError>;
    /**
     * @see {@link GetRuntimeManagementConfigCommand}
     */
    getRuntimeManagementConfig(args: GetRuntimeManagementConfigCommandInput, options?: __HttpHandlerOptions): Effect.Effect<GetRuntimeManagementConfigCommandOutput, SdkError | InvalidParameterValueError | ResourceNotFoundError | ServiceError | TooManyRequestsError>;
    /**
     * @see {@link InvokeCommand}
     */
    invoke(args: InvokeCommandInput, options?: __HttpHandlerOptions): Effect.Effect<InvokeCommandOutput, SdkError | EC2AccessDeniedError | EC2ThrottledError | EC2UnexpectedError | EFSIOError | EFSMountConnectivityError | EFSMountFailureError | EFSMountTimeoutError | ENILimitReachedError | InvalidParameterValueError | InvalidRequestContentError | InvalidRuntimeError | InvalidSecurityGroupIDError | InvalidSubnetIDError | InvalidZipFileError | KMSAccessDeniedError | KMSDisabledError | KMSInvalidStateError | KMSNotFoundError | RecursiveInvocationError | RequestTooLargeError | ResourceConflictError | ResourceNotFoundError | ResourceNotReadyError | ServiceError | SnapStartError | SnapStartNotReadyError | SnapStartTimeoutError | SubnetIPAddressLimitReachedError | TooManyRequestsError | UnsupportedMediaTypeError>;
    /**
     * @see {@link InvokeAsyncCommand}
     */
    invokeAsync(args: InvokeAsyncCommandInput, options?: __HttpHandlerOptions): Effect.Effect<InvokeAsyncCommandOutput, SdkError | InvalidRequestContentError | InvalidRuntimeError | ResourceConflictError | ResourceNotFoundError | ServiceError>;
    /**
     * @see {@link InvokeWithResponseStreamCommand}
     */
    invokeWithResponseStream(args: InvokeWithResponseStreamCommandInput, options?: __HttpHandlerOptions): Effect.Effect<InvokeWithResponseStreamCommandOutput, SdkError | EC2AccessDeniedError | EC2ThrottledError | EC2UnexpectedError | EFSIOError | EFSMountConnectivityError | EFSMountFailureError | EFSMountTimeoutError | ENILimitReachedError | InvalidParameterValueError | InvalidRequestContentError | InvalidRuntimeError | InvalidSecurityGroupIDError | InvalidSubnetIDError | InvalidZipFileError | KMSAccessDeniedError | KMSDisabledError | KMSInvalidStateError | KMSNotFoundError | RecursiveInvocationError | RequestTooLargeError | ResourceConflictError | ResourceNotFoundError | ResourceNotReadyError | ServiceError | SnapStartError | SnapStartNotReadyError | SnapStartTimeoutError | SubnetIPAddressLimitReachedError | TooManyRequestsError | UnsupportedMediaTypeError>;
    /**
     * @see {@link ListAliasesCommand}
     */
    listAliases(args: ListAliasesCommandInput, options?: __HttpHandlerOptions): Effect.Effect<ListAliasesCommandOutput, SdkError | InvalidParameterValueError | ResourceNotFoundError | ServiceError | TooManyRequestsError>;
    /**
     * @see {@link ListCodeSigningConfigsCommand}
     */
    listCodeSigningConfigs(args: ListCodeSigningConfigsCommandInput, options?: __HttpHandlerOptions): Effect.Effect<ListCodeSigningConfigsCommandOutput, SdkError | InvalidParameterValueError | ServiceError>;
    /**
     * @see {@link ListEventSourceMappingsCommand}
     */
    listEventSourceMappings(args: ListEventSourceMappingsCommandInput, options?: __HttpHandlerOptions): Effect.Effect<ListEventSourceMappingsCommandOutput, SdkError | InvalidParameterValueError | ResourceNotFoundError | ServiceError | TooManyRequestsError>;
    /**
     * @see {@link ListFunctionEventInvokeConfigsCommand}
     */
    listFunctionEventInvokeConfigs(args: ListFunctionEventInvokeConfigsCommandInput, options?: __HttpHandlerOptions): Effect.Effect<ListFunctionEventInvokeConfigsCommandOutput, SdkError | InvalidParameterValueError | ResourceNotFoundError | ServiceError | TooManyRequestsError>;
    /**
     * @see {@link ListFunctionsCommand}
     */
    listFunctions(args: ListFunctionsCommandInput, options?: __HttpHandlerOptions): Effect.Effect<ListFunctionsCommandOutput, SdkError | InvalidParameterValueError | ServiceError | TooManyRequestsError>;
    /**
     * @see {@link ListFunctionsByCodeSigningConfigCommand}
     */
    listFunctionsByCodeSigningConfig(args: ListFunctionsByCodeSigningConfigCommandInput, options?: __HttpHandlerOptions): Effect.Effect<ListFunctionsByCodeSigningConfigCommandOutput, SdkError | InvalidParameterValueError | ResourceNotFoundError | ServiceError>;
    /**
     * @see {@link ListFunctionUrlConfigsCommand}
     */
    listFunctionUrlConfigs(args: ListFunctionUrlConfigsCommandInput, options?: __HttpHandlerOptions): Effect.Effect<ListFunctionUrlConfigsCommandOutput, SdkError | InvalidParameterValueError | ResourceNotFoundError | ServiceError | TooManyRequestsError>;
    /**
     * @see {@link ListLayersCommand}
     */
    listLayers(args: ListLayersCommandInput, options?: __HttpHandlerOptions): Effect.Effect<ListLayersCommandOutput, SdkError | InvalidParameterValueError | ServiceError | TooManyRequestsError>;
    /**
     * @see {@link ListLayerVersionsCommand}
     */
    listLayerVersions(args: ListLayerVersionsCommandInput, options?: __HttpHandlerOptions): Effect.Effect<ListLayerVersionsCommandOutput, SdkError | InvalidParameterValueError | ResourceNotFoundError | ServiceError | TooManyRequestsError>;
    /**
     * @see {@link ListProvisionedConcurrencyConfigsCommand}
     */
    listProvisionedConcurrencyConfigs(args: ListProvisionedConcurrencyConfigsCommandInput, options?: __HttpHandlerOptions): Effect.Effect<ListProvisionedConcurrencyConfigsCommandOutput, SdkError | InvalidParameterValueError | ResourceNotFoundError | ServiceError | TooManyRequestsError>;
    /**
     * @see {@link ListTagsCommand}
     */
    listTags(args: ListTagsCommandInput, options?: __HttpHandlerOptions): Effect.Effect<ListTagsCommandOutput, SdkError | InvalidParameterValueError | ResourceNotFoundError | ServiceError | TooManyRequestsError>;
    /**
     * @see {@link ListVersionsByFunctionCommand}
     */
    listVersionsByFunction(args: ListVersionsByFunctionCommandInput, options?: __HttpHandlerOptions): Effect.Effect<ListVersionsByFunctionCommandOutput, SdkError | InvalidParameterValueError | ResourceNotFoundError | ServiceError | TooManyRequestsError>;
    /**
     * @see {@link PublishLayerVersionCommand}
     */
    publishLayerVersion(args: PublishLayerVersionCommandInput, options?: __HttpHandlerOptions): Effect.Effect<PublishLayerVersionCommandOutput, SdkError | CodeStorageExceededError | InvalidParameterValueError | ResourceNotFoundError | ServiceError | TooManyRequestsError>;
    /**
     * @see {@link PublishVersionCommand}
     */
    publishVersion(args: PublishVersionCommandInput, options?: __HttpHandlerOptions): Effect.Effect<PublishVersionCommandOutput, SdkError | CodeStorageExceededError | InvalidParameterValueError | PreconditionFailedError | ResourceConflictError | ResourceNotFoundError | ServiceError | TooManyRequestsError>;
    /**
     * @see {@link PutFunctionCodeSigningConfigCommand}
     */
    putFunctionCodeSigningConfig(args: PutFunctionCodeSigningConfigCommandInput, options?: __HttpHandlerOptions): Effect.Effect<PutFunctionCodeSigningConfigCommandOutput, SdkError | CodeSigningConfigNotFoundError | InvalidParameterValueError | ResourceConflictError | ResourceNotFoundError | ServiceError | TooManyRequestsError>;
    /**
     * @see {@link PutFunctionConcurrencyCommand}
     */
    putFunctionConcurrency(args: PutFunctionConcurrencyCommandInput, options?: __HttpHandlerOptions): Effect.Effect<PutFunctionConcurrencyCommandOutput, SdkError | InvalidParameterValueError | ResourceConflictError | ResourceNotFoundError | ServiceError | TooManyRequestsError>;
    /**
     * @see {@link PutFunctionEventInvokeConfigCommand}
     */
    putFunctionEventInvokeConfig(args: PutFunctionEventInvokeConfigCommandInput, options?: __HttpHandlerOptions): Effect.Effect<PutFunctionEventInvokeConfigCommandOutput, SdkError | InvalidParameterValueError | ResourceConflictError | ResourceNotFoundError | ServiceError | TooManyRequestsError>;
    /**
     * @see {@link PutProvisionedConcurrencyConfigCommand}
     */
    putProvisionedConcurrencyConfig(args: PutProvisionedConcurrencyConfigCommandInput, options?: __HttpHandlerOptions): Effect.Effect<PutProvisionedConcurrencyConfigCommandOutput, SdkError | InvalidParameterValueError | ResourceConflictError | ResourceNotFoundError | ServiceError | TooManyRequestsError>;
    /**
     * @see {@link PutRuntimeManagementConfigCommand}
     */
    putRuntimeManagementConfig(args: PutRuntimeManagementConfigCommandInput, options?: __HttpHandlerOptions): Effect.Effect<PutRuntimeManagementConfigCommandOutput, SdkError | InvalidParameterValueError | ResourceConflictError | ResourceNotFoundError | ServiceError | TooManyRequestsError>;
    /**
     * @see {@link RemoveLayerVersionPermissionCommand}
     */
    removeLayerVersionPermission(args: RemoveLayerVersionPermissionCommandInput, options?: __HttpHandlerOptions): Effect.Effect<RemoveLayerVersionPermissionCommandOutput, SdkError | InvalidParameterValueError | PreconditionFailedError | ResourceNotFoundError | ServiceError | TooManyRequestsError>;
    /**
     * @see {@link RemovePermissionCommand}
     */
    removePermission(args: RemovePermissionCommandInput, options?: __HttpHandlerOptions): Effect.Effect<RemovePermissionCommandOutput, SdkError | InvalidParameterValueError | PreconditionFailedError | ResourceNotFoundError | ServiceError | TooManyRequestsError>;
    /**
     * @see {@link TagResourceCommand}
     */
    tagResource(args: TagResourceCommandInput, options?: __HttpHandlerOptions): Effect.Effect<TagResourceCommandOutput, SdkError | InvalidParameterValueError | ResourceConflictError | ResourceNotFoundError | ServiceError | TooManyRequestsError>;
    /**
     * @see {@link UntagResourceCommand}
     */
    untagResource(args: UntagResourceCommandInput, options?: __HttpHandlerOptions): Effect.Effect<UntagResourceCommandOutput, SdkError | InvalidParameterValueError | ResourceConflictError | ResourceNotFoundError | ServiceError | TooManyRequestsError>;
    /**
     * @see {@link UpdateAliasCommand}
     */
    updateAlias(args: UpdateAliasCommandInput, options?: __HttpHandlerOptions): Effect.Effect<UpdateAliasCommandOutput, SdkError | InvalidParameterValueError | PreconditionFailedError | ResourceConflictError | ResourceNotFoundError | ServiceError | TooManyRequestsError>;
    /**
     * @see {@link UpdateCodeSigningConfigCommand}
     */
    updateCodeSigningConfig(args: UpdateCodeSigningConfigCommandInput, options?: __HttpHandlerOptions): Effect.Effect<UpdateCodeSigningConfigCommandOutput, SdkError | InvalidParameterValueError | ResourceNotFoundError | ServiceError>;
    /**
     * @see {@link UpdateEventSourceMappingCommand}
     */
    updateEventSourceMapping(args: UpdateEventSourceMappingCommandInput, options?: __HttpHandlerOptions): Effect.Effect<UpdateEventSourceMappingCommandOutput, SdkError | InvalidParameterValueError | ResourceConflictError | ResourceInUseError | ResourceNotFoundError | ServiceError | TooManyRequestsError>;
    /**
     * @see {@link UpdateFunctionCodeCommand}
     */
    updateFunctionCode(args: UpdateFunctionCodeCommandInput, options?: __HttpHandlerOptions): Effect.Effect<UpdateFunctionCodeCommandOutput, SdkError | CodeSigningConfigNotFoundError | CodeStorageExceededError | CodeVerificationFailedError | InvalidCodeSignatureError | InvalidParameterValueError | PreconditionFailedError | ResourceConflictError | ResourceNotFoundError | ServiceError | TooManyRequestsError>;
    /**
     * @see {@link UpdateFunctionConfigurationCommand}
     */
    updateFunctionConfiguration(args: UpdateFunctionConfigurationCommandInput, options?: __HttpHandlerOptions): Effect.Effect<UpdateFunctionConfigurationCommandOutput, SdkError | CodeSigningConfigNotFoundError | CodeVerificationFailedError | InvalidCodeSignatureError | InvalidParameterValueError | PreconditionFailedError | ResourceConflictError | ResourceNotFoundError | ServiceError | TooManyRequestsError>;
    /**
     * @see {@link UpdateFunctionEventInvokeConfigCommand}
     */
    updateFunctionEventInvokeConfig(args: UpdateFunctionEventInvokeConfigCommandInput, options?: __HttpHandlerOptions): Effect.Effect<UpdateFunctionEventInvokeConfigCommandOutput, SdkError | InvalidParameterValueError | ResourceConflictError | ResourceNotFoundError | ServiceError | TooManyRequestsError>;
    /**
     * @see {@link UpdateFunctionUrlConfigCommand}
     */
    updateFunctionUrlConfig(args: UpdateFunctionUrlConfigCommandInput, options?: __HttpHandlerOptions): Effect.Effect<UpdateFunctionUrlConfigCommandOutput, SdkError | InvalidParameterValueError | ResourceConflictError | ResourceNotFoundError | ServiceError | TooManyRequestsError>;
}
/**
 * @since 1.0.0
 * @category tags
 */
export declare const LambdaService: Context.Tag<LambdaService, LambdaService>;
/**
 * @since 1.0.0
 * @category constructors
 */
export declare const makeLambdaService: Effect.Effect<LambdaService, never, LambdaClientInstance>;
/**
 * @since 1.0.0
 * @category layers
 */
export declare const BaseLambdaServiceLayer: Layer.Layer<LambdaService, never, LambdaClientInstance>;
/**
 * @since 1.0.0
 * @category layers
 */
export declare const LambdaServiceLayer: Layer.Layer<LambdaService, never, import("./LambdaClientInstanceConfig").LambdaClientInstanceConfig>;
/**
 * @since 1.0.0
 * @category layers
 */
export declare const DefaultLambdaServiceLayer: Layer.Layer<LambdaService, never, never>;
/**
 * @since 0.1.0
 * @deprecated
 */
export declare const BaseLambdaServiceEffect: Effect.Effect<LambdaService, never, LambdaClientInstance>;
/**
 * @since 0.1.0
 * @deprecated
 */
export declare const LambdaServiceEffect: Effect.Effect<LambdaService, never, import("./LambdaClientInstanceConfig").LambdaClientInstanceConfig>;
/**
 * @since 0.1.0
 * @deprecated
 */
export declare const DefaultLambdaServiceEffect: Effect.Effect<LambdaService, never, never>;
